PETSc version 3.17.4
Fix/Edit manual page

# PetscFEGeomGetCellPoint

Get the cell geometry for face f at point p as a PetscFEGeom

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEGeomGetCellPoint(PetscFEGeom *geom, PetscInt c, PetscInt p, PetscFEGeom *pgeom)

### Input Parameters

| geom | - PetscFEGeom object
| f | - The face
| p | - The point

### Output Parameter

| pgeom | - The cell geometry of face f at point p

Note: For affine geometries, this only copies to pgeom at point 0. Since we copy pointers into pgeom, nothing needs to be done with it afterwards.

### See Also

PetscFEGeomRestoreChunk(), PetscFEGeomCreate()

### Level

intermediate

### Location

src/dm/dt/fe/interface/fegeom.c
Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages